ONVIF::Analytics::Types::VideoSourceConfigurationOptions(3)

NAME
ONVIF::Analytics::Types::VideoSourceConfigurationOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType VideoSourceConfigurationOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   BoundsRange

•   VideoSourceTokensAvailable

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::VideoSourceConfigurationOptions
   BoundsRange =>  { # ONVIF::Analytics::Types::IntRectangleRange
     XRange =>  { # ONVIF::Analytics::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
     YRange =>  { # ONVIF::Analytics::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
     WidthRange =>  { # ONVIF::Analytics::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
     HeightRange =>  { # ONVIF::Analytics::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
   },
   VideoSourceTokensAvailable => $some_value, # ReferenceToken
   Extension =>  { # ONVIF::Analytics::Types::VideoSourceConfigurationOptionsExtension
     Rotate =>  { # ONVIF::Analytics::Types::RotateOptions
       Mode => $some_value, # RotateMode
       DegreeList =>  { # ONVIF::Analytics::Types::IntList
         Items =>  $some_value, # int
       },
       Extension =>  { # ONVIF::Analytics::Types::RotateOptionsExtension
       },
     },
     Extension =>  { # ONVIF::Analytics::Types::VideoSourceConfigurationOptionsExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL